org.apache.ignite.ml.selection.cv

## Class CrossValidationResult

- java.lang.Object
- - org.apache.ignite.ml.selection.cv.CrossValidationResult

- All Implemented Interfaces:
    Serializable

      public class CrossValidationResult
      extends Object
      implements Serializable

  Represents the cross validation procedure result, wraps score and values of hyper parameters associated with these values.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrossValidationResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getBest(String hyperParamName)` Gets the best value for the specific hyper parameter.
    `double` | `getBestAvgScore()` Gets the the average value of best score array.
    `Map<String,Double>` | `getBestHyperParams()` Gets the best hyper parameters set.
    `double[]` | `getBestScore()` Gets the best score for the specific hyper parameter.
    `Map<Map<String,Double>,double[]>` | `getScoringBoard()` Gets the Scoring Board.
    `Map<Map<String,Double>,Double>` | `getScoringBoardWithAverages()` Gets the Scoring Board with averaged score.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CrossValidationResult

          public CrossValidationResult()

  - ### Method Detail

    - #### getBest

          public double getBest(String hyperParamName)

      Gets the best value for the specific hyper parameter.
      Parameters:
        `hyperParamName` - Hyper parameter name.
      Returns:
        The value.

    - #### getBestScore

          public double[] getBestScore()

      Gets the best score for the specific hyper parameter.
      Returns:
        The value.

    - #### getBestAvgScore

          public double getBestAvgScore()

      Gets the the average value of best score array. Default value is Double.MIN_VALUE.
      Returns:
        The value.

    - #### getScoringBoard

          public Map<Map<String,Double>,double[]> getScoringBoard()

      Gets the Scoring Board. The key is map of hyper parameters and its values, the value is score result associated with set of hyper parameters presented in the key.
      Returns:
        The Scoring Board.

    - #### getScoringBoardWithAverages

          public Map<Map<String,Double>,Double> getScoringBoardWithAverages()

      Gets the Scoring Board with averaged score. The key is map of hyper parameters and its values, the value is score result associated with set of hyper parameters presented in the key.
      Returns:
        The Scoring Board with averaged score.

    - #### getBestHyperParams

          public Map<String,Double> getBestHyperParams()

      Gets the best hyper parameters set.
      Returns:
        The copy of best hyper-parameters map.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023